X9FieldElement (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.x9

## Class X9FieldElement

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x9.X9FieldElement

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class X9FieldElement
      extends ASN1Object

  class for processing an FieldElement as a DER object.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ECFieldElement` | `f`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `X9FieldElement(java.math.BigInteger p, ASN1OctetString s)`
    `X9FieldElement(ECFieldElement f)`
    `X9FieldElement(int m, int k1, int k2, int k3, ASN1OctetString s)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ECFieldElement` | `getValue()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### f

          protected ECFieldElement f

  - ### Constructor Detail

    - #### X9FieldElement

          public X9FieldElement(ECFieldElement f)

    - #### X9FieldElement

          public X9FieldElement(java.math.BigInteger p,
                        ASN1OctetString s)

    - #### X9FieldElement

          public X9FieldElement(int m,
                        int k1,
                        int k2,
                        int k3,
                        ASN1OctetString s)

  - ### Method Detail

    - #### getValue

          public ECFieldElement getValue()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.

            FieldElement ::= OCTET STRING

      1. if q is an odd prime then the field element is processed as an Integer and converted to an octet string according to x 9.62 4.3.1.
      2. if q is 2m then the bit string contained in the field element is converted into an octet string with the same ordering padded at the front if necessary.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.